---
title: MediaSessionActionDetails.fastSeek
slug: Web/API/MediaSessionActionDetails/fastSeek
tags:
  - API
  - Audio
  - Media
  - Media Session API
  - MediaSessionActionDetails
  - Property
  - Reference
  - Scrub
  - Video
  - action
  - fastSeek
  - seek
---
<p>{{APIRef("Media Session API")}}</p>

<p>The Boolean property <code><strong>fastSeek</strong></code> in the {{domxref("MediaSessionActionDetails")}} dictionary is an optional value which, when specified and <code>true</code>, indicates that the requested <code><a href="/en-US/docs/Web/API/MediaSessionActionDetails#seekto">seekto</a></code> operation is part of an ongoing series of <code>seekto</code> operations. Your handler should take steps to return as quickly as possible by skipping any steps of its operation which are only necessary when the seek operation is complete.</p>

<p>Once <code>fastSeek</code> is <code>false</code> or not present, the repeating series of <code>seekto</code> actions is complete and you can finalize the state of your web app or content.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>mediaSessionActionDetails</em> = { fastSeek: <em>shouldFastSeek</em> };

let <em>shouldFastSeek</em> = <em>mediaSessionActionDetails</em>.fastSeek;
</pre>

<h3 id="Value">Value</h3>

<p>A Boolean which is <code>true</code> if the action is part of an ongoing series of seek actions which should be treated as part of an overall seek operation. If the value is <code>false</code> or this property isn't present, the seek is final.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Session','#dom-mediasessionactiondetails-fastseek','MediaSessionActionDetails.fastSeek')}}</td>
   <td>{{Spec2('Media Session')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaSessionActionDetails.fastSeek")}}</p>

<ul>
</ul>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Media_Session_API">Media Session API</a></li>
 <li>Refer to the {{domxref("MediaSession")}} method {{domxref("MediaSession.setActionHandler", "setActionHandler()")}}</li>
</ul>
